View Issue Details

IDProjectCategoryView StatusLast Update
0000584filegeneralpublic2017-04-11 15:18
ReporterTimo Foerster 
Assigned ToChristos Zoulas 
PrioritynormalSeveritytweakReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.25 
Target VersionFixed in Version5.30 
Summary0000584: Mimetype of EPS with embedded tiff preview
DescriptionA regular EPS file will start with '%!'.
However there are EPS files with an embedded tiff-preview (Microsoft likes them).

Thoses files are identified by magic bytes described corectly in Magdir/msdos as 'DOS EPS Binary File Header'.

However I request to assign the mime-type 'application/postscript' to this tiff-preview contained EPS-files respectively since they are and should be treated as application/postscript by applications.

At least I would like to discuss to have at least any mime-type to that files since they are not just an unknown octet-stream.
Steps To ReproduceTake file provided as attachment.
Run `file -b` to see 'DOS EPS Binary File Postscript starts at byte 32 length 226840 TIFF starts at byte 226872 length 979378'
Run `file -b --mime`to get 'application/octet-stream; charset=binary'
Additional InformationAs resource for a discussion if this may have that mime-type see: https://de.mathworks.com/matlabcentral/newsreader/view_thread/25890?requestedDomain=www.mathworks.com
TagsNo tags attached.

Relationships

Activities

Timo Foerster

Timo Foerster

2016-12-07 18:52

reporter  

adidas_f_03-real.eps (226,872 bytes)
Timo Foerster

Timo Foerster

2016-12-08 12:45

reporter   ~0001461

According to this https://en.wikipedia.org/wiki/Encapsulated_PostScript a possible solution would be something like 'image/x-eps'.
Christos Zoulas

Christos Zoulas

2017-01-18 16:25

manager   ~0001466

Added image/x-eps as suggested. Thanks!
Timo Foerster

Timo Foerster

2017-01-18 16:54

reporter   ~0001468

Hi there,

there's no commit in the gitHub-Mirror for this Ticket 0000584. Commit messages from 16th Dec. stops at 0000583.
Sorry for any inconvenience.
Christos Zoulas

Christos Zoulas

2017-04-11 15:18

manager   ~0001499

./Magdir/msdos:!:mime image/x-eps

Issue History

Date Modified Username Field Change
2016-12-07 18:52 Timo Foerster New Issue
2016-12-07 18:52 Timo Foerster File Added: adidas_f_03-real.eps
2016-12-08 12:45 Timo Foerster Note Added: 0001461
2017-01-18 16:25 Christos Zoulas Assigned To => Christos Zoulas
2017-01-18 16:25 Christos Zoulas Status new => assigned
2017-01-18 16:25 Christos Zoulas Status assigned => resolved
2017-01-18 16:25 Christos Zoulas Resolution open => fixed
2017-01-18 16:25 Christos Zoulas Fixed in Version => 5.30
2017-01-18 16:25 Christos Zoulas Note Added: 0001466
2017-01-18 16:54 Timo Foerster Status resolved => feedback
2017-01-18 16:54 Timo Foerster Resolution fixed => reopened
2017-01-18 16:54 Timo Foerster Note Added: 0001468
2017-04-11 15:18 Christos Zoulas Note Added: 0001499